Bug 661168 - [abrt] yum-utils-1.1.29-2.fc15: __init__.py:793:_getGroups:GroupsError: No Groups Available in any repository
[abrt] yum-utils-1.1.29-2.fc15: __init__.py:793:_getGroups:GroupsError: No Gr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:7bb2a09b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-07 19:18 EST by Clyde E. Kunkel
Modified: 2014-01-21 18:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-28 12:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.06 KB, text/plain)
2010-12-07 19:18 EST, Clyde E. Kunkel
no flags Details

  None (edit)
Description Clyde E. Kunkel 2010-12-07 19:18:17 EST
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/show-installed
comment: invoked with various parms to see what would happen.  I would expect a graceful rejection if the parms were incorrect or didn't make sense.
component: yum-utils
executable: /usr/bin/show-installed
kernel: 2.6.36.1-11.fc15.x86_64
package: yum-utils-1.1.29-2.fc15
reason: __init__.py:793:_getGroups:GroupsError: No Groups Available in any repository
release: Fedora release 15 (Rawhide)
time: 1291737196
uid: 500

backtrace
-----
__init__.py:793:_getGroups:GroupsError: No Groups Available in any repository

Traceback (most recent call last):
  File "/usr/bin/show-installed", line 409, in <module>
    __main__()
  File "/usr/bin/show-installed", line 400, in __main__
    i = InstalledPackages(input=input_, ignore_missing=options.ignore_missing)
  File "/usr/bin/show-installed", line 138, in __init__
    self.__buildList(pkgs, ignore_missing)
  File "/usr/bin/show-installed", line 215, in __buildList
    for group in self.yum.comps.get_groups():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 869, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 793, in _getGroups
    raise Errors.GroupsError, _('No Groups Available in any repository')
GroupsError: No Groups Available in any repository

Local variables in innermost frame:
e: RepoMDError()
group_st: 1291736537.344612
self: <yum.YumBase object at 0x7f72347c8590>
repo: <yum.yumRepo.YumRepository object at 0x2b2c3d0>
reposWithGroups: []
overwrite: False

How to reproduce
-----
1. invoked with various parms to see results
2.
3.
Comment 1 Clyde E. Kunkel 2010-12-07 19:18:19 EST
Created attachment 467332 [details]
File: backtrace
Comment 2 Clyde E. Kunkel 2012-09-28 12:11:49 EDT
Must not have been important. closing

Note You need to log in before you can comment on or make changes to this bug.